## ros-kinetic-cob-3d-mapping-msgs 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_3d_mapping_msgs)


find_package(catkin REQUIRED COMPONENTS 
  actionlib
  actionlib_msgs
  cob_object_detection_msgs
  geometry_msgs
  message_generation
  sensor_msgs
  std_msgs
)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate actions in the 'action' folder
add_action_files(
  DIRECTORY
    action
  FILES
    PlaneExtraction.action
    TableObjectCluster.action
    Trigger.action
)

## Generate messages in the 'msg' folder
add_message_files(
  DIRECTORY
    msg
  FILES
    CurvedPolygon.msg
    CurvedPolygonArray.msg
    Feature.msg
    FilterObject.msg
    Plane.msg
    PlaneScene.msg
    Point2D.msg
    Polygon.msg 
    PolylinePoint.msg
    Shape.msg
    ShapeArray.msg
    SimilarityScore.msg
)

## Generate services in the 'srv' folder
add_service_files(
  DIRECTORY
    srv
  FILES
    GetApproachPoseForPolygon.srv
    GetBoundingBoxes.srv
    GetGeometryMap.srv
    GetObjectsOfClass.srv
    GetPlane.srv
    GetPointMap.srv
    GetTables.srv
    ModifyMap.srv
    MoveToTable.srv
    SetBoundingBoxes.srv
    SetGeometryMap.srv
    SetPointMap.srv
    UpdateMap.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
    actionlib_msgs
    cob_object_detection_msgs
    geometry_msgs
    sensor_msgs
    std_msgs
)

###################################
## catkin specific configuration ##
###################################

catkin_package(
  CATKIN_DEPENDS
    actionlib
    actionlib_msgs
    cob_object_detection_msgs
    geometry_msgs
    message_runtime
    sensor_msgs
    std_msgs
)

=== debian/changelog ===
ros-kinetic-cob-3d-mapping-msgs (0.6.17-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.16-1xenial) xenial; urgency=high

  * Merge pull request #101 <https://github.com/ipa320/cob_perception_common/issues/101> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Fri, 09 Oct 2020 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.15-1xenial) xenial; urgency=high

  * Merge pull request #99 <https://github.com/ipa320/cob_perception_common/issues/99> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.14-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.13-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.12-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.11-1xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * use license apache 2.0
  * Contributors: ipa-fxm, ipa-uhr-mk

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.10-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Wed, 19 Jul 2017 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.9-1xenial) xenial; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.8-1xenial) xenial; urgency=high

  * added missing messages
  * Contributors: Richard Bormann

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.7-1xenial) xenial; urgency=high

  * cleanup and format2
  * move cob_3d_mapping_msgs to cob_perception_common
  * Contributors: ipa-fxm

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.6-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Wed, 17 Jun 2015 11:24:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.5-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Wed, 17 Jun 2015 10:41:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.4-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.3-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 08 Sep 2014 16:17:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.2-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 01 Sep 2014 15:59:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.1-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 28 Aug 2014 10:57:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.6.0-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 28 Aug 2014 09:37:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.5.12-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 08 Sep 2014 11:31:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.5.11-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 01 Sep 2014 15:58:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.5.10-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 28 Aug 2014 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.5.6-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 28 Aug 2014 09:27:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.5.5-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-kinetic-cob-3d-mapping-msgs (0.5.4-1xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-cob-3d-mapping-msgs
Section: misc
Priority: optional
Maintainer: Joshua Hampp <joshua.hampp@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-cob-object-detection-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/cob_3d_mapping_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-cob-3d-mapping-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-cob-object-detection-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: Message, service and action definitions for environment perception.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-3d-mapping-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
